Name:           urjtag
Version:        0.10
Release:        4%{?dist}.20111215gite1a4227
Summary:        A tool for communicating over JTAG with flash chips and CPUs
Group:          Development/Tools

License:        GPLv2+
URL:            http://urjtag.org
# Snapshot from official git-svn mirror
# git://urjtag.git.sourceforge.net/gitroot/urjtag/urjtag
Source0:        urjtag-20111215-git-e1a4227.tar.bz2
# NOTE:
# The upstream git-svn repo contains two directories: 'web' and 'urjtag'.
# We're only interested in packaging the later.
# Yet urjtag's configure script calls git to get the snapshot version,
# (grep for SVN_REVISION in the source)
# thus we preserve the .git, web and urjtag directory structure in our snapshot tarballs.
# The presense of this extra level of 'urjtag' dir causes some awkwardness in this spec.

# 0001-svf-guard-against-chain-cable-being-NULL.patch
# Sent to the urjtag-development list on Jan 24, 2012:
# http://sourceforge.net/mailarchive/forum.php?thread_name=1327375235-16426-1-git-send-email-scottt.tw%40gmail.com&forum_name=urjtag-development
Patch0:         0001-svf-guard-against-chain-cable-being-NULL.patch

# We do autoreconf for the git snapshot
BuildRequires:  gettext-devel
BuildRequires:  libtool
BuildRequires:  readline-devel
BuildRequires:  libftdi-devel
BuildRequires:  swig
BuildRequires:  python-devel

%description
UrJTAG aims to create an enhanced, modern tool for communicating
over JTAG with flash chips, CPUs, and many more.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        python
Summary:        Python bindings for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    python
Python bindings and examples for %{name}.



%prep
%setup -q -n %{name}-20111215-git-e1a4227


%build
cd urjtag
autoreconf -i -s -v -f
%configure --enable-stapl
# V=1: verbose build, disables AM_SILENT_RULES
make %{?_smp_mflags} V=1


%install
rm -rf %{buildroot}
cd urjtag
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a
%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
 
%files -f urjtag/%{name}.lang
%doc urjtag/README urjtag/NEWS urjtag/ChangeLog urjtag/COPYING urjtag/AUTHORS
%doc urjtag/doc/howto_add_support_for_more_flash.txt
%doc urjtag/doc/README.ejtag urjtag/doc/README.pld urjtag/doc/README.stapl
%doc urjtag/doc/UrJTAG.txt
%{_bindir}/jtag
%{_bindir}/bsdl2jtag
%{_libdir}/liburjtag.so.*
%dir %{_datadir}/urjtag/
%{_datadir}/urjtag/*
%{_mandir}/man1/jtag.1*
%{_mandir}/man1/bsdl2jtag.1*

%files devel
%dir %{_includedir}/urjtag
%{_includedir}/urjtag/*.h
%{_libdir}/liburjtag.so
%{_libdir}/pkgconfig/urjtag.pc

%files python
%{_libdir}/python*/site-packages/urjtag*.egg-info
%{_libdir}/python*/site-packages/urjtag.so
%doc urjtag/doc/urjtag-python.txt 
%doc urjtag/bindings/python/t_urjtag_chain.py
%doc urjtag/bindings/python/t_srst.py


%changelog
* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-4.20111215gite1a4227
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-3.20111215gite1a4227
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Dec 15 2011 Scott Tsai <scottt.tw@gmail.com> 0.10-2.20111215gite1a4227
- Initial RPM release
